from netgen.csg import Sphere, Pnt, CSGeometry
from ngsolve import Mesh, ngsglobals
ngsglobals.msg_level = 0

r=2.0

P = Pnt(1, 1, 1)
S = Sphere(P, r)

geo = CSGeometry()
geo.Add(S, maxh=r/10)
ngmesh = geo.GenerateMesh()
mesh = Mesh(ngmesh)

print("This mesh has", mesh.nv, "nodes.")
